# FDIO_s Struct Reference
[RPMIO.]

`#include <rpmio.h>`

## Data Fields

fdio_read_function_t | read
fdio_write_function_t | write
fdio_seek_function_t | seek
fdio_close_function_t | close
fdio_ref_function_t | _fdref
fdio_deref_function_t | _fdderef
fdio_new_function_t | _fdnew
fdio_fileno_function_t | _fileno
fdio_open_function_t | _open
fdio_fopen_function_t | _fopen
fdio_ffileno_function_t | _ffileno
fdio_fflush_function_t | _fflush
fdio_mkdir_function_t | _mkdir
fdio_chdir_function_t | _chdir
fdio_rmdir_function_t | _rmdir
fdio_rename_function_t | _rename
fdio_unlink_function_t | _unlink

## Detailed Description

Definition at line 200 of file rpmio.h.

## Field Documentation

fdio_chdir_function_t FDIO_s::_chdir

Definition at line 217 of file rpmio.h.

fdio_deref_function_t FDIO_s::_fdderef

Definition at line 207 of file rpmio.h.

Referenced by XurlFree().

fdio_new_function_t FDIO_s::_fdnew

Definition at line 208 of file rpmio.h.

fdio_ref_function_t FDIO_s::_fdref

Definition at line 206 of file rpmio.h.

fdio_ffileno_function_t FDIO_s::_ffileno

Definition at line 213 of file rpmio.h.

fdio_fflush_function_t FDIO_s::_fflush

Definition at line 214 of file rpmio.h.

fdio_fileno_function_t FDIO_s::_fileno

Definition at line 209 of file rpmio.h.

Referenced by XurlFree().

fdio_fopen_function_t FDIO_s::_fopen

Definition at line 212 of file rpmio.h.

fdio_mkdir_function_t FDIO_s::_mkdir

Definition at line 216 of file rpmio.h.

fdio_open_function_t FDIO_s::_open

Definition at line 211 of file rpmio.h.

Referenced by fadOpen(), and Fopen().

fdio_rename_function_t FDIO_s::_rename

Definition at line 219 of file rpmio.h.

fdio_rmdir_function_t FDIO_s::_rmdir

Definition at line 218 of file rpmio.h.

fdio_unlink_function_t FDIO_s::_unlink

Definition at line 220 of file rpmio.h.

fdio_close_function_t FDIO_s::close

Definition at line 204 of file rpmio.h.

Referenced by Fclose(), Fdopen(), and XurlFree().

fdio_read_function_t FDIO_s::read

Definition at line 201 of file rpmio.h.

Referenced by Fdopen(), and Fread().

fdio_seek_function_t FDIO_s::seek

Definition at line 203 of file rpmio.h.

Referenced by Fdopen(), and Fseek().

fdio_write_function_t FDIO_s::write

Definition at line 202 of file rpmio.h.

Referenced by Fdopen(), and Fwrite().

The documentation for this struct was generated from the following file:

- rpmio/rpmio.h